class GetDentalInstructionsResponseModel {
  List<Data>? data;
  dynamic message;
  int? status;

  GetDentalInstructionsResponseModel({this.data, this.message, this.status});

  GetDentalInstructionsResponseModel.fromJson(Map<String, dynamic> json) {
    if (json['Data'] != null) {
      data = <Data>[];
      json['Data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
    message = json['message'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.data != null) {
      data['Data'] = this.data!.map((v) => v.toJson()).toList();
    }
    data['message'] = this.message;
    data['status'] = this.status;
    return data;
  }
}

class Data {
  String? createdOn;
  String? mobileNo;
  int? patientId;
  int? procedureId;
  int? projectId;
  String? setupId;
  String? smsContent;
  int? sourceReferenceNo;
  String? sourceType;

  Data(
      {this.createdOn,
        this.mobileNo,
        this.patientId,
        this.procedureId,
        this.projectId,
        this.setupId,
        this.smsContent,
        this.sourceReferenceNo,
        this.sourceType});

  Data.fromJson(Map<String, dynamic> json) {
    createdOn = json['createdOn'];
    mobileNo = json['mobileNo'];
    patientId = json['patientId'];
    procedureId = json['procedureId'];
    projectId = json['projectId'];
    setupId = json['setupId'];
    smsContent = json['smsContent'];
    sourceReferenceNo = json['sourceReferenceNo'];
    sourceType = json['sourceType'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['createdOn'] = this.createdOn;
    data['mobileNo'] = this.mobileNo;
    data['patientId'] = this.patientId;
    data['procedureId'] = this.procedureId;
    data['projectId'] = this.projectId;
    data['setupId'] = this.setupId;
    data['smsContent'] = this.smsContent;
    data['sourceReferenceNo'] = this.sourceReferenceNo;
    data['sourceType'] = this.sourceType;
    return data;
  }
}
